"""Make setting value types enum

Revision ID: 1214305c96eb
Revises: 7c3fcf8a3335
Create Date: 2017-09-10 10:29:54.334710

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1214305c96eb'
down_revision = '7c3fcf8a3335'
branch_labels = ()
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('plugin_store', schema=None) as batch_op:
        batch_op.alter_column('description',
               existing_type=sa.TEXT(),
               nullable=True)
        batch_op.alter_column('extra',
               existing_type=sa.BLOB(),
               nullable=True)
        batch_op.alter_column('value',
               existing_type=sa.BLOB(),
               nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('plugin_store', schema=None) as batch_op:
        batch_op.alter_column('value',
               existing_type=sa.BLOB(),
               nullable=True)
        batch_op.alter_column('extra',
               existing_type=sa.BLOB(),
               nullable=False)
        batch_op.alter_column('description',
               existing_type=sa.TEXT(),
               nullable=False)

    # ### end Alembic commands ###
